This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 242366 - Html files with big JavaScript embedding are indexed
Summary: Html files with big JavaScript embedding are indexed
Status: VERIFIED FIXED
Alias: None
Product: javascript
Classification: Unclassified
Component: Editor (show other bugs)
Version: 8.0
Hardware: PC Linux
: P2 normal (vote)
Assignee: Petr Pisl
URL:
Keywords: 8.0_HR_FIX
Depends on:
Blocks:
 
Reported: 2014-02-26 14:00 UTC by Petr Pisl
Modified: 2014-03-03 08:33 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2014-02-26 14:00:20 UTC
The big javascript files are not indexed, because they slow down the ide and usually these files are generated or minimized version of an library. But when there is a big js (bigger than 1MB) part embedded into an html file, this embedded javascript is parsed. 

You can try to open file attached to the issue #226587.
Comment 1 Petr Pisl 2014-02-26 14:09:18 UTC
Fixed in web-main: http://hg.netbeans.org/web-main/rev/65e3296df4b3
Comment 2 Quality Engineering 2014-02-27 02:37:49 UTC
Integrated into 'main-silver', will be available in build *201402270001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/65e3296df4b3
User: Petr Pisl <ppisl@netbeans.org>
Log: #242366 - Html files with big JavaScript embedding are indexed
Comment 3 Vladimir Riha 2014-02-28 08:55:44 UTC
Verified in trunk, please continue with integration to release80


Product Version: NetBeans IDE Dev (Build 201402280001)
Java: 1.8.0; Java HotSpot(TM) Client VM 25.0-b69
Runtime: Java(TM) SE Runtime Environment 1.8.0-b129
System: Linux version 3.2.0-48-generic-pae running on i386; UTF-8; en_US (nb)
Comment 4 Petr Pisl 2014-02-28 09:24:59 UTC
Transplanted to the releases/release80 branch
Comment 5 Quality Engineering 2014-03-03 00:47:42 UTC
Integrated into 'releases/release80', will be available in build *201403022200* or newer. Wait for official and publicly available build.

Changeset: http://hg.netbeans.org/releases/rev/81641f4c9576
User: Petr Pisl <ppisl@netbeans.org>
Log: #242366 - Html files with big JavaScript embedding are indexed
Comment 6 Vladimir Riha 2014-03-03 08:33:19 UTC
Verified in 8.0

Product Version: NetBeans IDE 8.0 (Build 201403022200)
Java: 1.8.0; Java HotSpot(TM) Client VM 25.0-b69
Runtime: Java(TM) SE Runtime Environment 1.8.0-b129
System: Linux version 3.2.0-48-generic-pae running on i386; UTF-8; en_US (nb)